ONVIF::PTZ::Elements::GetStatusResponse(3pm)

NAME
ONVIF::PTZ::Elements::GetStatusResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetStatusResponse from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PTZStatus

     $element->set_PTZStatus($data);
     $element->get_PTZStatus();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::GetStatusResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   PTZStatus =>  { # ONVIF::PTZ::Types::PTZStatus
     Position =>  { # ONVIF::PTZ::Types::PTZVector
       PanTilt => ,
       Zoom => ,
     },
     MoveStatus =>  { # ONVIF::PTZ::Types::PTZMoveStatus
       PanTilt => $some_value, # MoveStatus
       Zoom => $some_value, # MoveStatus
     },
     Error =>  $some_value, # string
     UtcTime =>  $some_value, # dateTime
   },
 },

AUTHOR
Generated by SOAP::WSDL